> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Memory



## OpenAPI

````yaml /openapi/em-memory-service-v2.yaml post /memories/{memory_id}/validate
openapi: 3.1.0
info:
  title: EM Memory API
  version: 0.1.0
servers: []
security: []
paths:
  /memories/{memory_id}/validate:
    post:
      tags:
        - memories
      summary: Validate Memory
      operationId: validate_memory_memories__memory_id__validate_post
      parameters:
        - name: memory_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Memory Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemoryQualityInfo'
        '404':
          description: Memory with ID '{memory_id}' does not exist.
        '409':
          description: Memory '{memory_id}' could not be validated.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ValidationRequest:
      properties:
        confidence_score:
          type: number
          title: Confidence Score
      type: object
      required:
        - confidence_score
      title: ValidationRequest
    MemoryQualityInfo:
      properties:
        validation_status:
          $ref: '#/components/schemas/MemoryValidationStatus'
          default: unvalidated
        confidence_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence Score
        validated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Validated At
        validated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Validated By
      type: object
      title: MemoryQualityInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MemoryValidationStatus:
      type: string
      enum:
        - unvalidated
        - validated
        - disputed
      title: MemoryValidationStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````